Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.pooled.interfaces
Class PooledMarshalledValue

    java.lang.Object
      org.jboss.invocation.pooled.interfaces.PooledMarshalledValue

All Implemented Interfaces:
  Externalizable, Serializable

public class PooledMarshalledValue
extends Object
implements Externalizable

A simple replacement for the RMI MarshalledObject that uses the thread context class loader for resolving classes and proxies. This currently does not support class annotations and dynamic class loading.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`PooledMarshalledValue()` Exposed for externalization.
`PooledMarshalledValue(Object obj)`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `get()`
`int` | `hashCode()` Return a hash code for the serialized form of the value.
`void` | `readExternal(ObjectInput in)` The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.
`int` | `size()`
`byte[]` | `toByteArray()`
`void` | `writeExternal(ObjectOutput out)` The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings, and arrays.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledMarshalledValue

    public PooledMarshalledValue()

  Exposed for externalization.

### PooledMarshalledValue

    public PooledMarshalledValue(Object obj)
                          throws IOException

Method Detail

### get

    public Object get()
               throws IOException,
                      ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### toByteArray

    public byte[] toByteArray()

### size

    public int size()

### hashCode

    public int hashCode()

  Return a hash code for the serialized form of the value.

  Returns:
    the serialized form value hash.

### equals

    public boolean equals(Object obj)

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays. The readExternal method must read the values in the same sequence and with the same types as were written by writeExternal.

  Specified by:
    `readExternal` in interface `Externalizable`
  Parameters:
    `in` - the stream to read data from in order to restore the object
  Throws:
    `IOException` - if I/O errors occur
    `ClassNotFoundException` - If the class for an object being restored cannot be found.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings, and arrays.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Parameters:
    `out` - the stream to write the object to
  Throws:
    `IOException` - Includes any I/O exceptions that may occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.